rem	WELCOME TO A DEMONSTRATION OF DBMERGER
rem
rem	DBMERGER MERGES EXPORT FILES FROM DATABASE SYSTEMS
rem     THE EXPORT FILES ARE OF THE FORM "item","item","item"
rem	TRANSACTION RECORDS ARE MERGED INTO MASTER FILE RECORDS
rem	GIVING A MERGED OUTPUT FILE.  ITEMS FROM TRANSACTION
rem	RECORDS THAT MATCH MASTER RECORDS WILL OPTIONALLY OVERLAY
rem	THE MASTER ITEM IN THE OUTPUT AS SPECIFIED IN A MERGE
rem	MAP FILE.
rem
rem	When you press enter, the master.dat file will be displayed
pause
type master.dat
rem	When you press enter the transaction file will be displayed
pause
type transact.dat
rem	When you press enter the step 1 merge map file will be displayed
pause
type step1.iom
pause
rem	When you press enter DBMERGER Step 1 will run.
rem
rem	When prompted, Press F2 to select CHANGE mode.
rem
rem	Step 1 Merges items from matching transaction and master records
rem	and unmatched master records into a new master.
rem
rem	Step 1 Puts unmatched transactions into the unmatch1.dat file.
rem	The unmatch1.dat file becomes the transactions for step 2
rem	where unmatched transactions are merged as ADDS into
rem	the step 2 output file.
rem
pause
rem	In regular use, you would evaulate the unmatches and make corrections
rem	to the master and transaction files for misspellings that should have
rem	been matches. (Like John Doe in the Master and John A. Doe in Trans.)
rem	If any such corrections had been required, you would re-run step 1.
rem	Master and transaction files must be in ascending sequence on the keys.
rem	Be sure to re-order the master or transaction when changed spelling of
rem	key items makes the records out of ascending order.
rem
pause
dbmerger master.dat transact.dat step1.iom step1.out unmatch1.dat
rem
rem	When you press enter DBMERGER Step 2 will run.
rem
rem	When prompted, Press F1 to select ADD mode.
rem
rem	Later, print out and compare step1.iom and step2.iom
rem
pause
dbmerger step1.out unmatch1.dat step2.iom step2.out unmatch2.dat
pause
type master.dat
type transact.dat
type step2.out
